4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.InstallLocalState

Classes: InstallLocalState

## Classes

class InstallLocalState(Ft.Lib.DistExt.InstallMisc.InstallMisc)

  ### Methods inherited from class Ft.Lib.DistExt.InstallMisc.InstallMisc

  finalize_options, get_filelist_outputs, get_filelists, get_inputs, get_outputs, get_source_files, initialize_options, process_filelist, run

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'install_localstate'
  description = 'install modifiable host-specific data'

  ### Members inherited from class Ft.Lib.DistExt.InstallMisc.InstallMisc

  user_options

  ### Members inherited from class distutils.cmd.Command

  sub_commands